Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.style
Interface Fill

    public interface Fill

The `Fill` interface encapsulates the drawing attributes that can be applied to fills on line Graphics and closed Graphics.

Version:
  0.2

Field Summary
`static String` | `BACKGROUND_COLOR` Fill background color attribute name.
`static String` | `COLOR` Fill color attribute name.
`static String` | `FILL_PATTERN` Fill pattern attribute name.
`static String` | `FILL_STYLE` Fill style attribute name.
`static String` | `GRADIENT_POINTS` Halo fill gradient attribute name.
`static String` | `OPACITY` Fill opacity attribute name.

Method Summary
`Color` | `getBackgroundColor()` Returns the fill background color value.
`Color` | `getColor()` Returns the fill color value.
`FillPattern` | `getFillPattern()` Returns the fill pattern value.
`FillStyle` | `getFillStyle()` Returns the fill style value.
`float[]` | `getGradientPoints()` Returns the fill gradient points value.
`float` | `getOpacity()` Returns the fill opacity value.
`boolean` | `isBackgroundColorSet()` Returns whether the fill background color value has been set.
`boolean` | `isColorSet()` Returns whether the fill color value has been set.
`boolean` | `isFillPatternSet()` Returns whether the fill pattern value has been set.
`boolean` | `isFillStyleSet()` Returns whether the fill style value has been set.
`boolean` | `isGradientPointsSet()` Returns whether the fill gradient points value has been set.
`boolean` | `isOpacitySet()` Returns whether the fill opacity value has been set.
`void` | `setBackgroundColor(Color fillBackgroundColor)` Sets the fill background color value.
`void` | `setBackgroundColorSet(boolean flag)` Sets the fact that the fill background color value has been set.
`void` | `setColor(Color fillColor)` Sets the fill color value.
`void` | `setColorSet(boolean flag)` Sets the fact that the fill color value has been set.
`void` | `setFillPattern(FillPattern fillPattern)` Sets the fill pattern value.
`void` | `setFillPatternSet(boolean flag)` Sets the fact that the fill pattern value has been set.
`void` | `setFillStyle(FillStyle fillStyle)` Sets the fill style value.
`void` | `setFillStyleSet(boolean flag)` Sets the fact that the fill style value has been set.
`void` | `setGradientPoints(float[] fillGradientPoints)` Sets the fill gradient points value.
`void` | `setGradientPointsSet(boolean flag)` Sets the fact that the fill gradient points value has been set.
`void` | `setOpacity(float fillOpacity)` Sets the fill opacity value.
`void` | `setOpacitySet(boolean flag)` Sets the fact that the fill opacity value has been set.

Field Detail

### COLOR

    static final String COLOR

  Fill color attribute name.

  See Also:
    Constant Field Values

### BACKGROUND_COLOR

    static final String BACKGROUND_COLOR

  Fill background color attribute name.

  See Also:
    Constant Field Values

### GRADIENT_POINTS

    static final String GRADIENT_POINTS

  Halo fill gradient attribute name.

  See Also:
    Constant Field Values

### OPACITY

    static final String OPACITY

  Fill opacity attribute name.

  See Also:
    Constant Field Values

### FILL_PATTERN

    static final String FILL_PATTERN

  Fill pattern attribute name.

  See Also:
    Constant Field Values

### FILL_STYLE

    static final String FILL_STYLE

  Fill style attribute name.

  See Also:
    Constant Field Values

Method Detail

### getColor

    Color getColor()

  Returns the fill color value.

  Returns:
    the fill color value.

### isColorSet

    boolean isColorSet()

  Returns whether the fill color value has been set.

  Returns:
    true if the fill color value has been set, false otherwise.

### setColor

    void setColor(Color fillColor)

  Sets the fill color value.

  Parameters:
    `fillColor` - the fill color value.

### setColorSet

    void setColorSet(boolean flag)

  Sets the fact that the fill color value has been set.

  Parameters:
    `flag` - true if the fill color value has been set, false otherwise.

### getBackgroundColor

    Color getBackgroundColor()

  Returns the fill background color value.

  Returns:
    the fill background color value.

### isBackgroundColorSet

    boolean isBackgroundColorSet()

  Returns whether the fill background color value has been set.

  Returns:
    true if the fill background color value has been set, false otherwise.

### setBackgroundColor

    void setBackgroundColor(Color fillBackgroundColor)

  Sets the fill background color value.

  Parameters:
    `fillBackgroundColor` - the fill background color value.

### setBackgroundColorSet

    void setBackgroundColorSet(boolean flag)

  Sets the fact that the fill background color value has been set.

  Parameters:
    `flag` - true if the fill background color value has been set, false otherwise.

### getGradientPoints

    float[] getGradientPoints()

  Returns the fill gradient points value.

  Returns:
    the fill gradient points value.

### isGradientPointsSet

    boolean isGradientPointsSet()

  Returns whether the fill gradient points value has been set.

  Returns:
    true if the fill gradient points value has been set, false otherwise.

### setGradientPoints

    void setGradientPoints(float[] fillGradientPoints)

  Sets the fill gradient points value.

  Parameters:
    `fillGradientPoints` - the fill gradient points value.

### setGradientPointsSet

    void setGradientPointsSet(boolean flag)

  Sets the fact that the fill gradient points value has been set.

  Parameters:
    `flag` - true if the fill gradient points value has been set, false otherwise.

### getOpacity

    float getOpacity()

  Returns the fill opacity value.

  Returns:
    the fill opacity value.

### isOpacitySet

    boolean isOpacitySet()

  Returns whether the fill opacity value has been set.

  Returns:
    true if the fill opacity value has been set, false otherwise.

### setOpacity

    void setOpacity(float fillOpacity)

  Sets the fill opacity value.

  Parameters:
    `fillOpacity` - the fill opacity value.

### setOpacitySet

    void setOpacitySet(boolean flag)

  Sets the fact that the fill opacity value has been set.

  Parameters:
    `flag` - true if the fill opacity value has been set, false otherwise.

### getFillPattern

    FillPattern getFillPattern()

  Returns the fill pattern value.

  Returns:
    the fill pattern value.

### isFillPatternSet

    boolean isFillPatternSet()

  Returns whether the fill pattern value has been set.

  Returns:
    true if the fill pattern value has been set, false otherwise.

### setFillPattern

    void setFillPattern(FillPattern fillPattern)

  Sets the fill pattern value.

  Parameters:
    `fillPattern` - the fill pattern value.

### setFillPatternSet

    void setFillPatternSet(boolean flag)

  Sets the fact that the fill pattern value has been set.

  Parameters:
    `flag` - true if the fill pattern value has been set, false otherwise.

### getFillStyle

    FillStyle getFillStyle()

  Returns the fill style value.

  Returns:
    the fill style value.

### isFillStyleSet

    boolean isFillStyleSet()

  Returns whether the fill style value has been set.

  Returns:
    true if the fill style value has been set, false otherwise.

### setFillStyle

    void setFillStyle(FillStyle fillStyle)

  Sets the fill style value.

  Parameters:
    `fillStyle` - the fill style value.

### setFillStyleSet

    void setFillStyleSet(boolean flag)

  Sets the fact that the fill style value has been set.

  Parameters:
    `flag` - true if the fill style value has been set, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.